ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kito D. Mann" <km...@virtua.com>
Subject Error parsing a Maven2 POM
Date Tue, 16 Oct 2007 23:23:24 GMT
Hello,

I'm getting the following error when resolving a dependency from JBoss'
Maven2 repository:

inconsistent module descriptor file found in
'http://repository.jboss.org/maven2/org/richfaces/ui/3.1.1-GA/ui-3.1.1-GA.po
m': bad revision: expected='3.1.1-GA' found='SNAPSHOT';

This is with IvyDE 1.2 (in MyEclipse 5.5.1 on Windows XP). 

>From other posts, this may be because Ivy 1.4x doesn't have full support for
Maven POMs, and this POM has a parent node:

	<parent>
		<artifactId>root</artifactId>
		<groupId>org.richfaces</groupId>
		<version>3.1.1-GA</version>
	</parent>


(The full POM is here:
http://repository.jboss.org/maven2/org/richfaces/ui/3.1.1-GA/ui-3.1.1-GA.pom
.)

Am I on the right track, or am I missing something?

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Kito D. Mann - Author, JavaServer Faces in Action
http://www.virtua.com - JSF/Java EE consulting, training, and mentoring
http://www.JSFCentral.com - JavaServer Faces FAQ, news, and info
phone: +1 203-653-2989
fax: +1 203-653-2988




Mime
View raw message